--IF RUNNING THIS SCRIPT IN SQL MGMT STUDIO
--1. FROM QUERY MENU, SELECT SQLCMD Mode
--2. UNCOMMENT LINE BELOW AND REPLACE "EN" WITH APPROPRIATE LANGUAGE CODE 
--:setvar languagecode "EN"
--:setvar copyfromlanguagecode "ES"

--THIS SCRIPT WILL CLONE THE R5BOILERTEXTS FOR THE 
--ADVANCED MOBILE CUSTOM GRIDS USING A DIFFERENT LANGUAGE

INSERT INTO r5boilertexts (BOT_FUNCTION, BOT_NUMBER, BOT_LENGTH, BOT_XPOS, BOT_YPOS, BOT_LANG, BOT_TEXT, BOT_DEST, BOT_PAGE, BOT_FLD1, BOT_FLD2, BOT_PRTP, BOT_LVCR, BOT_ADLEN, BOT_POOL, BOT_CHANGED, BOT_DISPLAY, BOT_CLONED)
SELECT BOT_FUNCTION, BOT_NUMBER, BOT_LENGTH, BOT_XPOS, BOT_YPOS, '$(languagecode)', BOT_TEXT, BOT_DEST, BOT_PAGE, BOT_FLD1, BOT_FLD2, BOT_PRTP, BOT_LVCR, BOT_ADLEN, BOT_POOL, BOT_CHANGED, BOT_DISPLAY, BOT_CLONED
FROM r5boilertexts
WHERE
BOT_LANG = '$(copyfromlanguagecode)' AND
(BOT_FUNCTION = 'AUW040'
OR BOT_FUNCTION = 'AUW041'
OR BOT_FUNCTION = 'AUW042'
OR BOT_FUNCTION = 'AUW045'
OR BOT_FUNCTION = 'BUMOST'
OR BOT_FUNCTION = 'MUDELE'
OR BOT_FUNCTION = 'OUBINS'
OR BOT_FUNCTION = 'OUGISL'
OR BOT_FUNCTION = 'OUMETR'
OR BOT_FUNCTION = 'OUOBJE'
OR BOT_FUNCTION = 'OUPART'
OR BOT_FUNCTION = 'OUREAD'
OR BOT_FUNCTION = 'OUUFVA'
OR BOT_FUNCTION = 'SUSTOR'
OR BOT_FUNCTION = 'WUACCO'
OR BOT_FUNCTION = 'WUACTJ'
OR BOT_FUNCTION = 'WUAUTH'
OR BOT_FUNCTION = 'WUBOOK'
OR BOT_FUNCTION = 'WUCAUS'
OR BOT_FUNCTION = 'WUCFAS'
OR BOT_FUNCTION = 'WUCOMA'
OR BOT_FUNCTION = 'WUCOMM'
OR BOT_FUNCTION = 'WUCOMT'
OR BOT_FUNCTION = 'WUDFLT'
OR BOT_FUNCTION = 'WUDOCW'
OR BOT_FUNCTION = 'WUDSPY'
OR BOT_FUNCTION = 'WUEMPS'
OR BOT_FUNCTION = 'WUEPOS'
OR BOT_FUNCTION = 'WUERCD'
OR BOT_FUNCTION = 'WUFAIL'
OR BOT_FUNCTION = 'WUJOBS'
OR BOT_FUNCTION = 'WUOCCU'
OR BOT_FUNCTION = 'WUPART'
OR BOT_FUNCTION = 'WUPRVA'
OR BOT_FUNCTION = 'WURECO'
OR BOT_FUNCTION = 'WUSCHD'
OR BOT_FUNCTION = 'WUSIGT'
OR BOT_FUNCTION = 'WUSTWO'
OR BOT_FUNCTION = 'WUUDLV'
OR BOT_FUNCTION = 'WUUFVA'
OR BOT_FUNCTION = 'WUWOCL'
OR BOT_FUNCTION = 'WUWOTY'
OR BOT_FUNCTION = 'BUDEPT'
OR BOT_FUNCTION = 'BUUDPT'
)